> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Credential

> Creates an encrypted third-party integration credential for the org and marks the matching onboarding checklist item.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/create-credential
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/create-credential:
    post:
      operationId: createCredential
      summary: Create Credential
      description: >-
        Creates an encrypted third-party integration credential for the org and
        marks the matching onboarding checklist item.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCredentialRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateCredentialResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateCredentialRequest:
      type: object
      properties:
        type:
          type: string
        data:
          type: object
          additionalProperties:
            type: string
        isEmployeeIntegration:
          type: boolean
        isPayrollIntegration:
          type: boolean
      required:
        - type
        - data
    CreateCredentialResponse:
      type: object
      properties:
        credential:
          type: object
          properties:
            credentialsID:
              type: string
            name:
              type:
                - string
                - 'null'
            type:
              type: string
              enum:
                - ADP
                - BAMBOOHR
                - CSV_UPLOAD
                - DEEL
                - GREENHOUSE
                - KOTA_BENEFITS
                - QUICKBOOKS_ONLINE
                - UKG
                - WORKDAY
            orgID:
              type: string
            isEmployeeIntegration:
              type:
                - boolean
                - 'null'
            isPayrollIntegration:
              type:
                - boolean
                - 'null'
            autoSyncEnabled:
              type:
                - boolean
                - 'null'
            isExpired:
              type:
                - boolean
                - 'null'
            refreshing:
              type:
                - boolean
                - 'null'
            nextRefreshAt:
              type:
                - string
                - 'null'
            createdAt:
              type: string
            updatedAt:
              type: string
            details:
              type:
                - object
                - 'null'
              additionalProperties: {}
            decryptionError:
              type: boolean
          required:
            - credentialsID
            - name
            - type
            - orgID
            - isEmployeeIntegration
            - isPayrollIntegration
            - autoSyncEnabled
            - isExpired
            - refreshing
            - nextRefreshAt
            - createdAt
            - updatedAt
            - details
      required:
        - credential
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
